Bug 197130 - math/lp_solve: Define mips ARCH as 32 bit only
Summary: math/lp_solve: Define mips ARCH as 32 bit only
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: mips Any
: --- Affects Some People
Assignee: Sean Bruno
URL:
Keywords: easy, needs-patch
Depends on:
Blocks:
 
Reported: 2015-01-27 17:24 UTC by Sean Bruno
Modified: 2015-02-07 23:44 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (mayo)


Attachments
Make file diff to mark ARCH mips as 32bit (481 bytes, patch)
2015-01-28 20:07 UTC, Sean Bruno
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Bruno freebsd_committer 2015-01-27 17:24:16 UTC
Please add this to the math/lp_solve Makefile so that the mips.mips target will not try and package the ux64 solver.  Verified that this is correct for mips.mips(32 bit) and that mips.mips64 will build the ux64 solver with this patch.

32 bit mips:
http://tasty.ysv.freebsd.org/data/11mips32-11-armv6-ports/2015-01-27_16h14m08s/logs/lp_solve-5.5.2.0.log

64 bit mips:
http://tasty.ysv.freebsd.org/data/11mips64-11-armv6-ports/2015-01-27_17h03m48s/logs/lp_solve-5.5.2.0.log

Index: math/lp_solve/Makefile
===================================================================
--- math/lp_solve/Makefile      (revision 377963)
+++ math/lp_solve/Makefile      (working copy)
@@ -21,7 +21,7 @@
 .include <bsd.port.pre.mk>
 
 # probably need to add mips here as well
-.if ${ARCH} == "i386" || ${ARCH} == "powerpc" || ${ARCH} == armv6
+.if ${ARCH} == "i386" || ${ARCH} == "powerpc" || ${ARCH} == "armv6" || ${ARCH} == "mips"
 LPSOLVE_ARCH=  ux32
 .else
 LPSOLVE_ARCH=  ux64
Comment 1 Bugzilla Automation freebsd_committer 2015-01-27 17:24:16 UTC
Maintainer CC'd
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-28 05:19:58 UTC
Sean, can you include your change as an attachment please. Thanks!
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-28 05:21:02 UTC
Submitter is committer
Comment 4 mayo 2015-01-28 06:03:45 UTC
I have no way of testing this. Other than that, the port still works on i386 with the included patch.
Comment 5 Sean Bruno freebsd_committer 2015-01-28 20:07:37 UTC
Created attachment 152315 [details]
Make file diff to mark ARCH mips as 32bit

This still allows mips64 to build as 64bit.
Comment 6 Sean Bruno freebsd_committer 2015-01-31 20:59:26 UTC
Want me to fire this off into ports?
Comment 7 commit-hook freebsd_committer 2015-02-07 23:43:47 UTC
A commit references this bug:

Author: sbruno
Date: Sat Feb  7 23:43:14 UTC 2015
New revision: 378625
URL: https://svnweb.freebsd.org/changeset/ports/378625

Log:
  Mark armv6 and mips as ux32 capable to avoid breakage when building for
  these architectures.

  This still should allow aarch64 (when it appears) and mips64 to build
  ux64.

  PR:	197130
  Reviewed by:	mayo@oyam.ca (no objections or breakage)
  Approved by:	mentor (implicit)

Changes:
  head/math/lp_solve/Makefile